#include  "mft.h"
#ifndef __WIN_H__
#define __WIN_H__
//---------------------------class Window{}-------------------------------
// Abstract class for all app windows

class Window
{
protected:
    HWND hwndFrame;
    HWND hwndClient;
public:
    // Provide (read) access to the windows Client or Frame
    // handles in case they're needed.
    HWND GetFrameHandle(void) { return hwndFrame; }
    HWND GetClient(void) { return hwndClient; }

    BOOL ShowWindow(int nCmdShow) { return WinShowWindow(hwndFrame,nCmdShow); }
    BOOL Update(void) { return WinUpdateWindow(hwndFrame); }

    // Pure virtual function makes "Window" an abstract class
    virtual MRESULT WndProc(HM12) = 0;
};


#endif
