#include "mft.h"		// for HM12 define
#ifndef __DLG_H__
#define __DLG_H__
//---------------------------class Dialog{}-------------------------------
class Dialog{
public:
    HWND hwndParent;
    HWND hwndOwner;
    PFNWP pDlgProc;
    HMODULE  Resource;
    ULONG ulDlgid;
    PVOID pCreateParams;
    ULONG ulResult;
    Dialog::Dialog( HWND hwndParent1,
		HWND hwndOwner1,
		HMODULE Resource1,
		ULONG ulDlgid1,
		PVOID pCreateParams1);
     Dialog(void) {};
    // Pure virtual function makes "Window" an abstract class
    virtual MRESULT DlgProc(HM12) = 0;

};
Dialog::Dialog( HWND hwndParent1,
		HWND hwndOwner1,
		HMODULE Resource1,
		ULONG ulDlgid1,
		PVOID pCreateParams1)
{
    hwndParent = hwndParent1;  // must have differnt names
    hwndOwner  = hwndOwner1;
    Resource   = Resource1;
    ulDlgid    = ulDlgid1;
    pCreateParams = pCreateParams1;
}

#endif

